Bug 149626 - no swt-mozilla-gtk-3123 in java.library.path
no swt-mozilla-gtk-3123 in java.library.path
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 12:21 EST by Jeff Pound
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.1.0_fc-0.M5.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 13:19:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Pound 2005-02-24 12:21:47 EST
Description of problem:
when trying to launch an SWT Browser a java.lang.UnsatisfiedLinkError
occurs with the message no "swt-mozilla-gtk-3123 in java.library.path"
This lib doesnt exist.

Version-Release number of selected component (if applicable):
3.1M5

How reproducible:
always

Steps to Reproduce:
1. Open an SWT Browser
  
Actual results:
the workbench "recommends" you exit. 

Expected results:
The browser should launch.

Additional info:
You can use the bugzilla plug-in to reproduce this bug. Just double
click an element in the bugzilla view to open the browser.
Comment 1 Jeff Pound 2005-02-24 13:58:06 EST
swt-mozilla.jar[.so] exists in the eclipse install. Its just the
libswt-mozilla-gtk-<version>.so that is missing. Copying a
libswt-mozilla-gtk-<version>.so from an upstream build to
/usr/share/eclipse/plugins/org.eclipse.swt.gtk_3.1.0/os/linux/x86/
(and renaming it to the apropriate version) seems to solve the problem.
Comment 2 Andrew Overholt 2005-03-02 16:51:56 EST
Changing target.
Comment 3 Andrew Overholt 2005-03-02 16:52:36 EST
Assigning to me.
Comment 4 Andrew Overholt 2005-03-08 12:53:30 EST
Jeff, can you verify that this is now fixed?  It should be fixed in
versions >= 3.1.0_fc-0.M5.9
Comment 5 Jeff Pound 2005-03-08 13:19:30 EST
Verified fixed in 3.1.0_fc-0.M5.10 (sorry, dont have .9 around to test).

Note You need to log in before you can comment on or make changes to this bug.